Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLBodyElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLBodyElementImpl

All Implemented Interfaces:
  Element, HTMLBodyElement, HTMLElement, Node

public class JRexHTMLBodyElementImpl
extends JRexHTMLElementImpl
implements HTMLBodyElement

A class implementing org.w3c.dom.html2.HTMLBodyElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLBodyElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getALink()` Color of active links (after mouse-button down, but before mouse-button up).
`String` | `getBackground()` URI [IETF RFC 2396] of the background texture tile image.
`String` | `getBgColor()` Document background color.
`String` | `getLink()` Color of links that are not active and unvisited.
`String` | `getText()` Document text color.
`String` | `getVLink()` Color of links that have been visited by the user.
`void` | `setALink(String aLink)` Color of active links (after mouse-button down, but before mouse-button up).
`void` | `setBackground(String background)` URI [IETF RFC 2396] of the background texture tile image.
`void` | `setBgColor(String bgColor)` Document background color.
`void` | `setLink(String link)` Color of links that are not active and unvisited.
`void` | `setText(String text)` Document text color.
`void` | `setVLink(String vLink)` Color of links that have been visited by the user.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getALink

    public String getALink()

  Description copied from interface: `HTMLBodyElement`
  Color of active links (after mouse-button down, but before mouse-button up). See the alink attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getALink` in interface `HTMLBodyElement`

### setALink

    public void setALink(String aLink)

  Description copied from interface: `HTMLBodyElement`
  Color of active links (after mouse-button down, but before mouse-button up). See the alink attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setALink` in interface `HTMLBodyElement`

### getBackground

    public String getBackground()

  Description copied from interface: `HTMLBodyElement`
  URI [IETF RFC 2396] of the background texture tile image. See the background attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getBackground` in interface `HTMLBodyElement`

### setBackground

    public void setBackground(String background)

  Description copied from interface: `HTMLBodyElement`
  URI [IETF RFC 2396] of the background texture tile image. See the background attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setBackground` in interface `HTMLBodyElement`

### getBgColor

    public String getBgColor()

  Description copied from interface: `HTMLBodyElement`
  Document background color. See the bgcolor attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getBgColor` in interface `HTMLBodyElement`

### setBgColor

    public void setBgColor(String bgColor)

  Description copied from interface: `HTMLBodyElement`
  Document background color. See the bgcolor attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setBgColor` in interface `HTMLBodyElement`

### getLink

    public String getLink()

  Description copied from interface: `HTMLBodyElement`
  Color of links that are not active and unvisited. See the link attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getLink` in interface `HTMLBodyElement`

### setLink

    public void setLink(String link)

  Description copied from interface: `HTMLBodyElement`
  Color of links that are not active and unvisited. See the link attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setLink` in interface `HTMLBodyElement`

### getText

    public String getText()

  Description copied from interface: `HTMLBodyElement`
  Document text color. See the text attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getText` in interface `HTMLBodyElement`

### setText

    public void setText(String text)

  Description copied from interface: `HTMLBodyElement`
  Document text color. See the text attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setText` in interface `HTMLBodyElement`

### getVLink

    public String getVLink()

  Description copied from interface: `HTMLBodyElement`
  Color of links that have been visited by the user. See the vlink attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getVLink` in interface `HTMLBodyElement`

### setVLink

    public void setVLink(String vLink)

  Description copied from interface: `HTMLBodyElement`
  Color of links that have been visited by the user. See the vlink attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setVLink` in interface `HTMLBodyElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.